> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get prices for multiple tokens



## OpenAPI

````yaml /api-reference/openapi.json post /v1/assets/prices/tokens
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Development server
security: []
tags: []
paths:
  /v1/assets/prices/tokens:
    post:
      tags:
        - Prices
      summary: Get prices for multiple tokens
      operationId: getTokenPrices
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - symbols
              properties:
                symbols:
                  type: array
                  minItems: 1
                  maxItems: 100
                  items:
                    type: string
                  description: Array of token symbols
                  example:
                    - ETH
                    - USDC
                    - USDT
      responses:
        '200':
          description: Token prices retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        symbol:
                          type: string
                          example: ETH
                        price:
                          type: string
                          example: '3500.50'
                        lastUpdatedAt:
                          type: string
                          format: date-time
                          example: '2024-01-15T10:30:00Z'
                  total:
                    type: integer
                    example: 25
                    description: Total number of tokens matching the filter
                  hasMore:
                    type: boolean
                    example: true
                    description: Whether there are more results available
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Wallet or asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````